# Gimp.FileProcedure.set_priority

    @accepts(Gimp.FileProcedure, int)
    @returns(none)
    def set_priority(self, priority):
        # Python wrapper for gimp_file_procedure_set_priority()

Sets the priority of a file handler procedure.

When more than one procedure matches a given file, the procedure with the lowest priority is used; if more than one procedure has the lowest priority, it is unspecified which one of them is used. The default priority for file handler procedures is 0.

Since 3.0

self

  A file procedure object.

priority

  The procedure's priority.